Skip to content
Permalink
Browse files

Make dependency versions more flexible (#286)

RenovateBot is the most proliferate contributor to the
getting-started repo. To avoid that churn, don't specify
fixed versions but use caret, which follows semver
and doesn't pull breaking changes.

b/126526762
  • Loading branch information...
fhinkel committed Feb 27, 2019
1 parent d5ed820 commit ec49836ee773220da2d5097a6c9152b7709e4eaa
@@ -33,7 +33,7 @@
},
"devDependencies": {
"@google-cloud/nodejs-repo-tools": "^3.0.0",
"ava": "0.25.0",
"ava": "^0.25.0",
"supertest": "^3.3.0"
}
}
@@ -33,17 +33,17 @@
"@google-cloud/datastore": "^3.1.0",
"body-parser": "1.18.3",
"express": "^4.16.4",
"lodash": "4.17.11",
"mysql": "2.16.0",
"nconf": "0.10.0",
"prompt": "1.0.0",
"lodash": "^4.17.11",
"mysql": "^2.16.0",
"nconf": "^0.10.0",
"prompt": "^1.0.0",
"pug": "^2.0.3",
"uglify-js": "3.4.9"
"uglify-js": "^3.4.9"
},
"devDependencies": {
"@google-cloud/nodejs-repo-tools": "^3.0.0",
"ava": "0.25.0",
"proxyquire": "2.1.0",
"ava": "^0.25.0",
"proxyquire": "^2.1.0",
"sinon": "^7.0.0"
}
}
@@ -31,21 +31,21 @@
},
"dependencies": {
"@google-cloud/datastore": "^3.1.0",
"@google-cloud/storage": "1.7.0",
"body-parser": "1.18.3",
"@google-cloud/storage": "^1.7.0",
"body-parser": "^1.18.3",
"express": "^4.16.4",
"lodash": "4.17.11",
"multer": "1.4.1",
"mysql": "2.16.0",
"nconf": "0.10.0",
"prompt": "1.0.0",
"lodash": "^4.17.11",
"multer": "^1.4.1",
"mysql": "^2.16.0",
"nconf": "^0.10.0",
"prompt": "^1.0.0",
"pug": "^2.0.3",
"uglify-js": "3.4.9"
"uglify-js": "^3.4.9"
},
"devDependencies": {
"@google-cloud/nodejs-repo-tools": "^3.0.0",
"ava": "0.25.0",
"proxyquire": "2.1.0",
"ava": "^0.25.0",
"proxyquire": "^2.1.0",
"sinon": "^7.0.0"
}
}
@@ -32,25 +32,25 @@
"dependencies": {
"@google-cloud/connect-datastore": "^2.0.1",
"@google-cloud/datastore": "^3.1.0",
"@google-cloud/storage": "1.7.0",
"body-parser": "1.18.3",
"@google-cloud/storage": "^1.7.0",
"body-parser": "^1.18.3",
"express": "^4.16.4",
"express-session": "1.15.6",
"lodash": "4.17.11",
"multer": "1.4.1",
"mysql": "2.16.0",
"nconf": "0.10.0",
"express-session": "^1.15.6",
"lodash": "^4.17.11",
"multer": "^1.4.1",
"mysql": "^2.16.0",
"nconf": "^0.10.0",
"npm": "^6.8.0",
"passport": "0.4.0",
"passport-google-oauth20": "1.0.0",
"prompt": "1.0.0",
"passport": "^0.4.0",
"passport-google-oauth20": "^1.0.0",
"prompt": "^1.0.0",
"pug": "^2.0.3",
"uglify-js": "3.4.9"
"uglify-js": "^3.4.9"
},
"devDependencies": {
"@google-cloud/nodejs-repo-tools": "^3.2.0",
"ava": "0.25.0",
"proxyquire": "2.1.0",
"ava": "^0.25.0",
"proxyquire": "^2.1.0",
"sinon": "^7.0.0",
"supertest": "^3.3.0"
}
@@ -32,29 +32,29 @@
"dependencies": {
"@google-cloud/connect-datastore": "^2.0.1",
"@google-cloud/datastore": "^3.1.0",
"@google-cloud/debug-agent": "3.0.1",
"@google-cloud/debug-agent": "^3.0.1",
"@google-cloud/logging-winston": "^0.11.0",
"@google-cloud/storage": "1.6.0",
"@google-cloud/trace-agent": "3.6.0",
"body-parser": "1.18.2",
"@google-cloud/storage": "^1.6.0",
"@google-cloud/trace-agent": "^3.6.0",
"body-parser": "^1.18.2",
"express": "^4.16.4",
"express-session": "1.15.6",
"express-winston": "2.5.0",
"lodash": "4.17.11",
"multer": "1.3.0",
"mysql": "2.15.0",
"nconf": "0.10.0",
"passport": "0.4.0",
"passport-google-oauth20": "1.0.0",
"prompt": "1.0.0",
"express-session": "^1.15.6",
"express-winston": "^2.5.0",
"lodash": "^4.17.11",
"multer": "^1.3.0",
"mysql": "^2.15.0",
"nconf": "^0.10.0",
"passport": "^0.4.0",
"passport-google-oauth20": "^1.0.0",
"prompt": "^1.0.0",
"pug": "^2.0.3",
"uglify-js": "3.3.12",
"winston": "2.4.0"
"uglify-js": "^3.3.12",
"winston": "^2.4.0"
},
"devDependencies": {
"@google-cloud/nodejs-repo-tools": "^3.0.0",
"ava": "0.25.0",
"proxyquire": "1.8.0",
"ava": "^0.25.0",
"proxyquire": "^1.8.0",
"supertest": "^3.3.0",
"sinon": "^4.5.0"
}
@@ -32,33 +32,33 @@
"dependencies": {
"@google-cloud/connect-datastore": "^2.0.1",
"@google-cloud/datastore": "^3.1.0",
"@google-cloud/debug-agent": "3.0.1",
"@google-cloud/debug-agent": "^3.0.1",
"@google-cloud/logging-winston": "^0.11.0",
"@google-cloud/pubsub": "^0.25.0",
"@google-cloud/storage": "1.6.0",
"@google-cloud/trace-agent": "3.6.0",
"async": "2.6.2",
"body-parser": "1.18.2",
"@google-cloud/storage": "^1.6.0",
"@google-cloud/trace-agent": "^3.6.0",
"async": "^2.6.2",
"body-parser": "^1.18.2",
"express": "^4.16.2",
"express-session": "1.15.6",
"express-winston": "2.5.0",
"express-session": "^1.15.6",
"express-winston": "^2.5.0",
"grpc": "^1.11.3",
"lodash": "4.17.11",
"multer": "1.3.0",
"mysql": "2.15.0",
"nconf": "0.10.0",
"passport": "0.4.0",
"passport-google-oauth20": "1.0.0",
"prompt": "1.0.0",
"lodash": "^4.17.11",
"multer": "^1.3.0",
"mysql": "^2.15.0",
"nconf": "^0.10.0",
"passport": "^0.4.0",
"passport-google-oauth20": "^1.0.0",
"prompt": "^1.0.0",
"pug": "^2.0.3",
"request": "2.83.0",
"uglify-js": "3.3.12",
"winston": "2.4.0"
"request": "^2.83.0",
"uglify-js": "^3.3.12",
"winston": "^2.4.0"
},
"devDependencies": {
"@google-cloud/nodejs-repo-tools": "^3.2.0",
"ava": "0.25.0",
"proxyquire": "1.8.0",
"ava": "^0.25.0",
"proxyquire": "^1.8.0",
"sinon": "^4.5.0",
"supertest": "^3.3.0"
}
@@ -27,34 +27,34 @@
"license": "Apache-2.0",
"dependencies": {
"@google-cloud/connect-datastore": "^2.0.1",
"@google-cloud/datastore": "3.1.1",
"@google-cloud/debug-agent": "3.0.1",
"@google-cloud/datastore": "^3.1.1",
"@google-cloud/debug-agent": "^3.0.1",
"@google-cloud/logging-winston": "^0.11.0",
"@google-cloud/pubsub": "^0.25.0",
"@google-cloud/storage": "1.6.0",
"@google-cloud/trace-agent": "3.6.0",
"async": "2.6.2",
"body-parser": "1.18.2",
"@google-cloud/storage": "^1.6.0",
"@google-cloud/trace-agent": "^3.6.0",
"async": "^2.6.2",
"body-parser": "^1.18.2",
"express": "^4.16.2",
"express-session": "1.15.6",
"express-winston": "2.5.0",
"lodash": "4.17.11",
"mongodb": "3.1.13",
"multer": "1.3.0",
"mysql": "2.15.0",
"nconf": "0.10.0",
"passport": "0.4.0",
"passport-google-oauth20": "1.0.0",
"prompt": "1.0.0",
"express-session": "^1.15.6",
"express-winston": "^2.5.0",
"lodash": "^4.17.11",
"mongodb": "^3.1.13",
"multer": "^1.3.0",
"mysql": "^2.15.0",
"nconf": "^0.10.0",
"passport": "^0.4.0",
"passport-google-oauth20": "^1.0.0",
"prompt": "^1.0.0",
"pug": "^2.0.3",
"request": "2.83.0",
"uglify-js": "3.3.12",
"winston": "2.4.0"
"request": "^2.83.0",
"uglify-js": "^3.3.12",
"winston": "^2.4.0"
},
"devDependencies": {
"@google-cloud/nodejs-repo-tools": "^3.2.0",
"ava": "0.25.0",
"proxyquire": "1.8.0",
"ava": "^0.25.0",
"proxyquire": "^1.8.0",
"sinon": "^4.5.0",
"supertest": "^3.3.0"
},
@@ -31,34 +31,34 @@
},
"dependencies": {
"@google-cloud/datastore": "^3.1.0",
"@google-cloud/debug-agent": "3.0.1",
"@google-cloud/debug-agent": "^3.0.1",
"@google-cloud/logging-winston": "^0.11.0",
"@google-cloud/pubsub": "^0.25.0",
"@google-cloud/storage": "1.6.0",
"@google-cloud/trace-agent": "3.6.0",
"async": "2.6.2",
"body-parser": "1.18.2",
"@google-cloud/storage": "^1.6.0",
"@google-cloud/trace-agent": "^3.6.0",
"async": "^2.6.2",
"body-parser": "^1.18.2",
"connect-memcached": "^1.0.0",
"express": "4.16.2",
"express-session": "1.15.6",
"express-winston": "2.6.0",
"lodash": "4.17.11",
"mongodb": "3.1.13",
"multer": "1.3.0",
"mysql": "2.15.0",
"nconf": "0.10.0",
"passport": "0.4.0",
"passport-google-oauth20": "1.0.0",
"prompt": "1.0.0",
"pug": "2.0.3",
"request": "2.88.0",
"uglify-js": "3.4.9",
"winston": "2.4.4"
"express": "^4.16.2",
"express-session": "^1.15.6",
"express-winston": "^2.6.0",
"lodash": "^4.17.11",
"mongodb": "^3.1.13",
"multer": "^1.3.0",
"mysql": "^2.15.0",
"nconf": "^0.10.0",
"passport": "^0.4.0",
"passport-google-oauth20": "^1.0.0",
"prompt": "^1.0.0",
"pug": "^2.0.3",
"request": "^2.88.0",
"uglify-js": "^3.4.9",
"winston": "^2.4.4"
},
"devDependencies": {
"@google-cloud/nodejs-repo-tools": "^3.0.0",
"ava": "0.25.0",
"proxyquire": "1.8.0",
"ava": "^0.25.0",
"proxyquire": "^1.8.0",
"supertest": "^3.3.0",
"sinon": "^4.5.0"
}

0 comments on commit ec49836

Please sign in to comment.
You can’t perform that action at this time.